Name:		snortsam
Version:	2.70
Release:	8.1
Url:		http://doc.emergingthreats.net/bin/view/Main/SnortSam
License:	Snortsam License
Group:		Applications/Internet
Summary:	Snort IPS plugin
Source0:	%{name}-src-%{version}.tar.bz2
Source1:	snortsam.suse.init
Patch0:		%{name}-config.patch
Patch1:		%{name}-suse-iptables-path.patch
Patch2:		%{name}-write-pid.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SnortSam is a plugin for Snort, an open-source light-weight Intrusion Detection System (IDS).
The plugin allows for automated blocking of IP addresses on following firewalls:

    * Checkpoint Firewall-1
    * Cisco PIX firewalls
    * Cisco Routers (using ACL's or Null-Routes)
    * Former Netscreen, now Juniper firewalls
    * IP Filter (ipf), available for various Unix-like OS'es such as FreeBSD
    * FreeBSD's ipfw2 (in 5.x)
    * OpenBSD's Packet Filter (pf)
    * Linux IPchains
    * Linux IPtables
    * Linux EBtables
    * WatchGuard Firebox firewalls
    * 8signs firewalls for Windows
    * MS ISA Server firewall/proxy for Windows
    * CHX packet filter
    * Ali Basel's Tracker SNMP through the SNMP-Interface-down plugin 

%prep
%setup -n %{name}
%patch0
%patch1 -p1
%patch2

%build
chmod +x makesnortsam.sh
./makesnortsam.sh

%install
%__install -D snortsam %{buildroot}%{_sbindir}/snortsam
%__install -D -m644 conf/country-rootservers.conf %{buildroot}%{_sysconfdir}/snortsam.d/country-rootserver.conf
%__install -m644 conf/opsec.conf %{buildroot}%{_sysconfdir}/snortsam.d/opsec.conf
%__install -m644 conf/rootservers.cfg %{buildroot}%{_sysconfdir}/snortsam.d/rootservers.conf
%__install -m644 conf/snortsam.conf.sample %{buildroot}%{_sysconfdir}/snortsam.conf
%__install -m644 conf/snortsam.conf.sample %{buildroot}%{_sysconfdir}/snortsam.conf.sample
%__install -d -m0755 %{buildroot}/var/run/snortsam
%if 0%{?suse_version}
%__install -D -m0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/snortsam
ln -sf ../../etc/init.d/snortsam %{buildroot}%{_sbindir}/rcsnortsam
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/INSTALL
%doc docs/README*
%doc docs/FAQ
%doc docs/AUTHORS
%doc docs/BUGS
%doc docs/CREDITS
%doc docs/TODO
%{_sbindir}/snortsam
%dir %{_sysconfdir}/snortsam.d
%config %{_sysconfdir}/snortsam.d/country-rootserver.conf
%config %{_sysconfdir}/snortsam.d/opsec.conf
%config %{_sysconfdir}/snortsam.d/rootservers.conf
%config(noreplace) %{_sysconfdir}/snortsam.conf
%config %{_sysconfdir}/snortsam.conf.sample
%dir /var/run/snortsam
%if 0%{?suse_version}
%{_sysconfdir}/init.d/snortsam
%{_sbindir}/rcsnortsam
%endif

%changelog
* Thu Feb  7 2013 cs@linux-administrator.com
- added snortsam-write-pid.patch
- added SUSE init script
* Thu Feb  7 2013 cs@linux-administrator.com
- update config-patch
- added suse-iptables-path patch
